CREATE TABLE gaiadr3_gaia_source (
    solution_id bigint,
    designation varchar,
    source_id bigint,
    random_index bigint,
    ref_epoch double precision,
    ra double precision,
    ra_error double precision,
    dec  double precision,
    dec_error double precision,
    parallax double precision,
    parallax_error double precision,
    parallax_over_error real,
    pm real,
    pmra double precision,
    pmra_error double precision,
    pmdec double precision,
    pmdec_error double precision,
    ra_dec_corr real,
    ra_parallax_corr real,
    ra_pmra_corr real,
    ra_pmdec_corr real,
    dec_parallax_corr real,
    dec_pmra_corr real,
    dec_pmdec_corr real,
    parallax_pmra_corr real,
    parallax_pmdec_corr real,
    pmra_pmdec_corr real,
    astrometric_n_obs_al integer,
    astrometric_n_obs_ac integer,
    astrometric_n_good_obs_al integer,
    astrometric_n_bad_obs_al integer,
    astrometric_gof_al real,
    astrometric_chi2_al real,
    astrometric_excess_noise double precision,
    astrometric_excess_noise_sig double precision,
    astrometric_params_solved smallint,
    astrometric_primary_flag boolean,
    nu_eff_used_in_astrometry real,
    pseudocolour double precision,
    pseudocolour_error double precision,
    ra_pseudocolour_corr real,
    dec_pseudocolour_corr real,
    parallax_pseudocolour_corr real,
    pmra_pseudocolour_corr real,
    pmdec_pseudocolour_corr real,
    astrometric_matched_transits smallint,
    visibility_periods_used smallint, 
    astrometric_sigma5d_max real,
    matched_transits smallint,
    new_matched_transits smallint,
    matched_transits_removed smallint,
    ipd_gof_harmonic_amplitude real,
    ipd_gof_harmonic_phase real,
    ipd_frac_multi_peak smallint,
    ipd_frac_odd_win smallint,
    ruwe real,
    scan_direction_strength_k1 real,
    scan_direction_strength_k2 real,
    scan_direction_strength_k3 real,
    scan_direction_strength_k4 real,
    scan_direction_mean_k1 real,
    scan_direction_mean_k2 real,
    scan_direction_mean_k3 real,
    scan_direction_mean_k4 real,
    duplicated_source boolean,
    phot_g_n_obs integer,
    phot_g_mean_flux double precision,
    phot_g_mean_flux_error double precision,
    phot_g_mean_flux_over_error real,
    phot_g_mean_mag real,
    phot_bp_n_obs integer,
    phot_bp_mean_flux double precision,
    phot_bp_mean_flux_error double precision,
    phot_bp_mean_flux_over_error real,
    phot_bp_mean_mag real,
    phot_rp_n_obs integer,
    phot_rp_mean_flux double precision,
    phot_rp_mean_flux_error double precision,
    phot_rp_mean_flux_over_error real,
    phot_rp_mean_mag real,
    phot_bp_rp_excess_factor real,
    phot_bp_n_contaminated_transits smallint,
    phot_bp_n_blended_transits smallint,
    phot_rp_n_contaminated_transits smallint,
    phot_rp_n_blended_transits smallint,
    phot_proc_mode smallint,
    bp_rp real,
    bp_g real,
    g_rp real,
    radial_velocity double precision,
    radial_velocity_error double precision,
    rv_method_used smallint,
    rv_nb_transits smallint,
    rv_nb_deblended_transits smallint,
    rv_visibility_periods_used smallint,
    rv_expected_sig_to_noise real,
    rv_renormalised_gof real,
    rv_chisq_pvalue real,
    rv_time_duration real,
    rv_amplitude_robust real,
    rv_template_teff real,
    rv_template_logg real,
    rv_template_fe_h real,
    rv_atm_param_origin smallint,
    vbroad real,
    vbroad_error real,
    vbroad_nb_transits smallint,
    grvs_mag real,
    grvs_mag_error real,
    grvs_mag_nb_transits smallint,
    rvs_spec_sig_to_noise real,
    phot_variable_flag varchar,
    l double precision,
    b double precision,
    ecl_lon double precision,
    ecl_lat double precision,
    in_qso_candidates boolean,
    in_galaxy_candidates boolean,
    non_single_star smallint,
    has_xp_continuous boolean,
    has_xp_sampled boolean,
    has_rvs boolean,
    has_epoch_photometry boolean,
    has_epoch_rv boolean,
    has_mcmc_gspphot boolean,
    has_mcmc_msc boolean,
    in_andromeda_survey boolean,
    classprob_dsc_combmod_quasar real,
    classprob_dsc_combmod_galaxy real,
    classprob_dsc_combmod_star real,
    teff_gspphot real,
    teff_gspphot_lower real,
    teff_gspphot_upper real,
    logg_gspphot real,
    logg_gspphot_lower real,
    logg_gspphot_upper real,
    mh_gspphot real,
    mh_gspphot_lower real,
    mh_gspphot_upper real,
    distance_gspphot real,
    distance_gspphot_lower real,
    distance_gspphot_upper real,
    azero_gspphot real,
    azero_gspphot_lower real,
    azero_gspphot_upper real,
    ag_gspphot real,
    ag_gspphot_lower real,
    ag_gspphot_upper real,
    ebpminrp_gspphot real,
    ebpminrp_gspphot_lower real,
    ebpminrp_gspphot_upper real,
    libname_gspphot varchar,
    PRIMARY KEY (soure_id)
);
